Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgLinearRingCollection Class Reference
[MgLinearRingCollection]

MgLinearRingCollection provides support for defining an ordered set of linear rings. More...

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual void | Add (MgLinearRing *value)
| Adds the specified coordinate to the end of the collection.
virtual void | Clear ()
| Removes all linear rings from the collection.
virtual bool | Contains (const MgLinearRing *value) const
| Returns true if the collection contains the specified linear ring, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of linear rings in the collection.
virtual MgLinearRing * | GetItem (INT32 index) const
| Gets the linear ring in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual INT32 | IndexOf (const MgLinearRing *value) const
| Returns the index of the specified linear ring in the collection or -1 if the linear ring does not exist.
virtual void | Insert (INT32 index, MgLinearRing *value)
| Inserts the specified linear ring at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
| MgLinearRingCollection ()
| Construct a MgLinearRingCollection object.
virtual bool | Remove (const MgLinearRing *value)
| Removes the specified linear ring from the collection. Returns true if removal was successful.
virtual void | RemoveAt (INT32 index)
| Removes the linear ring at the specified index from the collection. Throws an invalid argument exception if the index does not exist within the collection.
virtual void | SetItem (INT32 index, MgLinearRing *value)
| Sets the linear ring in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.

## Detailed Description

MgLinearRingCollection provides support for defining an ordered set of linear rings.

Comments or suggestions? Send us feedback.